Bug 5865 - Сегфолт
: Сегфолт
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mutt1.5)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-01-11 22:28 by
Modified: 2005-08-29 18:23 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-01-11 22:28:34
Берется ящик, который в режиме свернутых тредов занимает менее экрана, а в 
режиме развернутых (или при выключенных тредах) - больше. У меня это архив 
январского hardware@ или talk-room@. Включен скоринг (думаю, неважно по каким 
принципам).
Открываем ящик, делаем сортировку threads/reverse-date. Разворачиваем треды. 
Выделяем письмо с низким score. Сворачиваем треды. Не двигаем курсор. Видим,
что 
тредов в ящике немного, и занимают они, скажем, пол-экрана.
Делаем сортировку score/score. Видим 1-й прикол: отображаться должны все письма 
ящика, т.к. треды выключены. Но отображается лишь столько писем, сколько было 
тредов. При этом выделенное нами ранее письмо не видно (оно должно быть внизу 
списка, отображается же лишь верхняя часть). Если сдвинуть курсор, отобразятся 
все письма. Но мы этого делать не будем, мы нажмем first-entry...

Уверен, что дело не в score/score, просто это тот случай, на котором я схватил 
этот сегфолт.
------- Comment #1 From 2005-03-10 09:38:52 -------
Вроде бы fixed.